id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
ID3_IStreamReader Class Reference

`#include <readers.h>`

Inheritance diagram for ID3_IStreamReader:

## Public Member Functions
| ID3_IStreamReader (istream &reader)
virtual | ~ID3_IStreamReader ()
virtual void | close ()
| Close the reader. More...
virtual int_type | peekChar ()
| Return the next character to be read without advancing the internal position. More...
virtual size_type | readChars (char buf[], size_type len)
| Read up to `len` chars into buf and advance the internal position accordingly. More...
virtual size_type | readChars (char_type buf[], size_type len)
| Read up to `len` characters into buf and advance the internal position accordingly. More...
virtual pos_type | getBeg ()
| Return the beginning position in the reader. More...
virtual pos_type | getCur ()
| Return the current position in the reader. More...
virtual pos_type | getEnd ()
| Return the ending position in the reader. More...
virtual pos_type | setCur (pos_type pos)
| Set the value of the internal position for reading. More...
Public Member Functions inherited from ID3_Reader
virtual int_type | readChar ()
| Read a single character and advance the internal position. More...
virtual size_type | skipChars (size_type len)
| Skip up to `len` chars in the stream and advance the internal position accordingly. More...
virtual size_type | remainingBytes ()
virtual bool | atEnd ()

## Protected Member Functions
istream & | getReader () const

## Additional Inherited Members
Public Types inherited from ID3_Reader
typedef uint32 | size_type
typedef uint8 | char_type
typedef uint32 | pos_type
typedef int32 | off_type
typedef int16 | int_type
Static Public Attributes inherited from ID3_Reader
static const int_type | END_OF_READER = -1

## Detailed Description

Definition at line 34 of file readers.h.

## Constructor & Destructor Documentation

ID3_IStreamReader::ID3_IStreamReader | ( | istream & | reader | ) |
| inline

Definition at line 40 of file readers.h.

virtual ID3_IStreamReader::~ID3_IStreamReader | ( |  | ) |
| inline virtual

Definition at line 41 of file readers.h.

## Member Function Documentation

virtual void ID3_IStreamReader::close | ( |  | ) |
| inline virtual

Close the reader.

Any further actions on the reader should fail.

Implements ID3_Reader.

Reimplemented in ID3_IFStreamReader.

Definition at line 42 of file readers.h.

virtual pos_type ID3_IStreamReader::getBeg | ( |  | ) |
| inline virtual

Return the beginning position in the reader.

Reimplemented from ID3_Reader.

Definition at line 59 of file readers.h.

virtual pos_type ID3_IStreamReader::getCur | ( |  | ) |
| inline virtual

Return the current position in the reader.

Implements ID3_Reader.

Definition at line 60 of file readers.h.

virtual pos_type ID3_IStreamReader::getEnd | ( |  | ) |
| inline virtual

Return the ending position in the reader.

Reimplemented from ID3_Reader.

Definition at line 61 of file readers.h.

istream& ID3_IStreamReader::getReader | ( |  | ) | const
| inline protected

Definition at line 38 of file readers.h.

virtual int_type ID3_IStreamReader::peekChar | ( |  | ) |
| inline virtual

Return the next character to be read without advancing the internal position.

Returns END_OF_READER if there isn't a character to read.

Implements ID3_Reader.

Definition at line 44 of file readers.h.

virtual size_type ID3_IStreamReader::readChars | ( | char | buf[],
|  | size_type | len
| ) |  |
| inline virtual

Read up to `len` chars into buf and advance the internal position accordingly.

Returns the number of characters read into buf.

Reimplemented from ID3_Reader.

Definition at line 49 of file readers.h.

virtual size_type ID3_IStreamReader::readChars | ( | char_type | buf[],
|  | size_type | len
| ) |  |
| inline virtual

Read up to `len` characters into buf and advance the internal position accordingly.

Returns the number of characters read into buf. Note that the value returned may be less than the number of bytes that the internal position advances, due to multi-byte characters.

Implements ID3_Reader.

Definition at line 53 of file readers.h.

virtual pos_type ID3_IStreamReader::setCur | ( | pos_type | pos | ) |
| inline virtual

Set the value of the internal position for reading.

Implements ID3_Reader.

Definition at line 72 of file readers.h.

The documentation for this class was generated from the following file:

- include/id3/readers.h